package models

// SimpleStatus 简单状态
type SimpleStatus bool

const (
	StatusOn  SimpleStatus = true
	StatusOff SimpleStatus = false
)

// AuditableStatus 具有中间能力的状态
type AuditableStatus int8

const (
	StatusDisabled AuditableStatus = iota - 1 // 被禁用
	StatusAuditing                            // 待审核
	StatusEnabled                             // 已启用
)

// Quality 品种
type Quality int
