package system

import (
	"ims/app/models"

	"github.com/go-gormigrate/gormigrate/v2"
	"gorm.io/gorm"
)

var m202409291240_01_initialize_database = gormigrate.Migration{
	ID: "202409291240_01_initialize_database",
	Migrate: func(tx *gorm.DB) error {
		return tx.AutoMigrate(
			&models.Account{},
			&models.Tenant{},
		)
	},
	Rollback: func(tx *gorm.DB) error {
		return nil
	},
}
